项目中导入ActionBar的android-support-v7-appcompat.jar包

标签: androidActionBarandroid-support-v7androidthemestyleThe
14486人阅读 评论(0) 收藏 举报
分类:

在Android低版本中要使用ActionBar就要导入android-support-v7-appcompat.jar包,但是用以往的方法把android-support-v7-appcompat.jar包复制到libs文件夹下发现在AndroidManifest.xml添加theme时报错,原因在于还要使用到其资源文件。

解决办法:

File->import,选择已有项目


然后选择android-support-v7-appcompat的根目录,我的在E:\java\adt-bundle-windows-x86-20130522\sdk\extras\android\support\v7\appcompat


点击Finish,这下你的工作区应该有下面这个项目(在这里我截的图是已经配置好的了)。导进去之后项目可能会有个红色感叹号,这时要修改AndroidManifest.xml里的最低版本号与你的项目最低支持的版本号一致,还有要修改project.properties里的target版本。这时项目变成会有个红色x,只要将这个项目下的libs文件夹下的android-support-v7-appcompat.jar和android-support-v4.jar都add build path就可以了。

然后在自己的项目中右击选择Properties->Android


在下面的Library中不要勾选Is Library,点击Add,选择刚才的android-support-v7-appcompat项目,点击OK这样 就可以了。

PS:如果自己的项目使用到其他的第三方包的话,你可以将其放在android-support-v7-appcompat项目下的libs文件夹下,然后build path一下即可。

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:643111次
    • 积分:4782
    • 等级:
    • 排名:第6297名
    • 原创:106篇
    • 转载:22篇
    • 译文:5篇
    • 评论:344条
    关于我
    博客专栏
    最新评论